/** TestVerticalLayout.java */
import java.awt.*;
import java.awt.event.*;

public class TestVerticalLayout extends Frame
{
    TextField nameTextField;
    TextField phoneTextField;
    TextField emailTextField;
    TextArea noteTextArea;
    TextField extra2TextField;

    public TestVerticalLayout()
    {
        super("Vertical Layout Tester");
        setBackground(Color.lightGray);

        Panel p1 = new Panel();
        p1.add(new Label("Name"));
        nameTextField = new TextField(40);
        p1.add(nameTextField);

        Panel p2 = new Panel();
        p2.add(new Label("Phone"));
        phoneTextField = new TextField(40);
        p2.add(phoneTextField);

        Panel p3 = new Panel();
        p3.add(new Label("Email"));
        emailTextField = new TextField(40);
        p3.add(emailTextField);

        Panel p4 = new Panel();
        p4.add(new Label("Note"));
        noteTextArea = new TextArea(5,40);
        p4.add(noteTextArea);

        Panel p5 = new Panel();
        p5.add(new Label("Extra2"));
        extra2TextField = new TextField(40);
        p5.add(extra2TextField);

        Panel vPanel = new Panel();
        vPanel.setLayout(new VerticalFlowLayout(5));
        vPanel.add(p1); vPanel.add(p2); vPanel.add(p3);
        vPanel.add(p4); vPanel.add(p5);

        add("Center", vPanel);
        addWindowListener(new WindowAdapter()
                          {
                            public void windowClosing(WindowEvent we)
                            {
                                System.exit(1);
                            }
                          });
        pack();
        setLocation(100,100);
        setVisible(true);
    }

    public static void main(String args[])
    {
        new TestVerticalLayout();
    }
}
