import java.util.Random;

class TextPage
{
    char[] symbols = new char[300];
}

class Book
{
    String      name;
    TextPage    pages[] = new TextPage[100];

    public Book ()
    {
        for (int i = 0; i < pages.length; i++)
            pages[i] = new TextPage();
    }
}

class BookShelf
{
    String subject;
    Book[] books = new Book[100];

    public BookShelf (String subject)
    {
        this.subject = subject;
        for (int i = 0; i < books.length; i++)
            books[i] = new Book();

        if (subject.equals("Sports"))
            books[0].name = "History of Ping Pong";
    }
}

public class Library
{
    public static void main (String args[])
    {
        String subjects[] = { "Sports", "New Age", "Religion",
                            "Sci-Fi", "Romance", "Do-it-yourself",
                            "Cooking", "Gardening", "Travel",
                            "Mystery", "Fantasy", "Computers",
                            "Business", "Young readers", "JW Books" };

        BookShelf[] shelves = new BookShelf[25];
        int checkIndex = 10 + getRandomIndex(15);

        for (int i = 0; i < shelves.length; i++)
        {
            String subject =
                    subjects[getRandomIndex(subjects.length)];
            System.out.println("Creating bookshelf: " + (i + 1) +
                               ", subject: " + subject);
            shelves[i] = new BookShelf(subject);

            // at a random interval check to see where the last
            //  "Sports" shelf was
            if (i == checkIndex)
            {
                System.out.println("Checking for Sports...");
                for (int j = i; j >= 0; j--)
                {
                    if (shelves[j].subject.equals("Sports"))
                    {
                        System.out.println();
                        System.out.println("Shelf " + (j + 1) +
                                           " is Sports");
                        System.out.println("First book is: " +
                                        shelves[j].books[0].name);
                        System.out.println();
                        break;
                    }
                    else
                        System.out.println("No match. " +
                            "Subject was: " + shelves[j].subject);
                }
            }
        }
    }

    private static Random rnd =
                            new Random(System.currentTimeMillis());
    private static int getRandomIndex (int range)
    {
        return ((Math.abs(rnd.nextInt())) % range);
    }
}
