
class CloneExample implements Cloneable
{
    int x;
    int y;
    int a[] = new int[2];

    public Object clone() throws CloneNotSupportedException
    {
        return (super.clone());
    }

    public void print()
    {
        System.out.println("a[0]: " + a[0] + ", a[1]: " + a[1]);
    }
}

public class CloneExampleTest
{
    public static void main(String args[])
    {
        CloneExample ex1 = new CloneExample();
        ex1.x = 1;
        ex1.y = 2;
        ex1.a[0] = 3;
        ex1.a[1] = 4;

        try
        {
            CloneExample ex2 = (CloneExample)ex1.clone();
            ex2.a[0] = 5;
            ex2.a[1] = 6;
            ex1.print();
            ex2.print();
        }
        catch (CloneNotSupportedException cnse)
        {
            System.out.println("Whoops!");
        }
    }
}
