import java.io.*;

public class StringExample2
{
    public static void main (String args[])
    {
        String sFileName = "test.txt";
        String s0 = readStringFromFile(sFileName);
        String s1 = readStringFromFile(sFileName);

        System.out.println("s0 == s1: " + (s0 == s1));
        System.out.println("s0.equals(s1): " + (s0.equals(s1)));

        s0.intern();
        s1.intern();

        System.out.println("s0 == s1: " + (s0 == s1));
        System.out.println("s0 == s1.intern(): " + (s0 == s1.intern()));
    }

    private static String readStringFromFile (String sFileName)
    {
        String s = "";
        try
        {
            FileReader fr = new FileReader(sFileName);
            BufferedReader br = new BufferedReader(fr);
            s = br.readLine();

            fr.close();
        }
        catch (Exception e)
        {
            System.out.println("Error: " + e.toString());
            System.exit(1);
        }
        return (s);
    }
}