import java.util.EventListener;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;

public interface Validator extends DocumentListener
{
  public boolean isValid (Object value);
  public boolean validate (Object value);
  // implement DocumentListener
  public void removeUpdate  (DocumentEvent e);
  public void changedUpdate (DocumentEvent e);
  public void insertUpdate  (DocumentEvent e);
  // support StatusListeners
  public void addStatusListener (StatusListener l);
  public void
     removeStatusListener (StatusListener l);
}
